Bug 1655539 - Setting default items per page doesn't work for Tile, Grid and List View
Summary: Setting default items per page doesn't work for Tile, Grid and List View
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 12:05 UTC by Parthvi Vala
Modified: 2019-02-12 16:51 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:06 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Parthvi Vala 2018-12-03 12:05:58 UTC
Description of problem:
Setting default items per page doesn't work for any of the view(Tile, List or Grid)

Version-Release number of selected component (if applicable):
5.10.0.27

How reproducible:
Always

Steps to Reproduce:
1. Add some provider, an infra provider in my case. 
2. Navigate to `My Settings` page.
3. In the `Visual` tab, under `Default Items Per Page` section, set values for `Grid View`, `Tile View` and `List View`.
4. Navigate to `Compute` > `Infrastructure` > `Virtual Machines`

Actual results:
Default Items per page is set to `10` no matter what the view is.

Expected results:
Default Items per page must be set to the values set in settings.

Additional info:
Worked fine latest 5.9.6 build.

Comment 5 CFME Bot 2018-12-05 09:31:34 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4e8915532b8ff0e5ee82148f1ad236f074230664
commit 4e8915532b8ff0e5ee82148f1ad236f074230664
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Dec  4 07:44:05 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Dec  4 07:44:05 2018 -0500

    Fix regression in perpage_key for GTL types

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1655539

 app/controllers/application_controller.rb | 2 +-
 spec/controllers/application_controller_spec.rb | 29 +
 2 files changed, 30 insertions(+), 1 deletion(-)

Comment 6 CFME Bot 2018-12-06 14:46:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/59534d85b8df5800adb8cc433c17a45744d98973
commit 59534d85b8df5800adb8cc433c17a45744d98973
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Dec  5 04:29:01 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Dec  5 04:29:01 2018 -0500

    Merge pull request #5036 from skateman/perpage-key-regression

    Fix regression in perpage_key for GTL types

    (cherry picked from commit 6fe225cc9c40b5046d5301437893f032136c5782)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1655539

 app/controllers/application_controller.rb | 2 +-
 spec/controllers/application_controller_spec.rb | 29 +
 2 files changed, 30 insertions(+), 1 deletion(-)

Comment 7 Parthvi Vala 2018-12-23 04:40:42 UTC
FIXED. Verified on 5.10.0.30.20181218191323_900a416.


Note You need to log in before you can comment on or make changes to this bug.